Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create customer follow up notify due

Scan customers whose nextStepDueAt is past due (terminal stages excluded) and emit a follow_up_due notification to the customer owner — once per (customer, due date).

POST/workspaces/{organizationId}/customers/follow-ups/notify-due
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Request body
application/json
nowstring<date-time>
Responses
200

Due-follow-up scan result

scannedintegerrequired
notifiedintegerrequired
notificationsobject[]required
Show properties
Array of object
customerIdstringrequired
customerNamestringrequired
recipientIdstringrequired
typestringrequired
titlestringrequired
bodystringrequired
nextStepDueAtstringrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces/string/customers/follow-ups/notify-due' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "now": "2019-08-24T14:15:22Z"
}'
Response
{
  "scanned": 0,
  "notified": 0,
  "notifications": [
    {
      "customerId": "string",
      "customerName": "string",
      "recipientId": "string",
      "type": "string",
      "title": "string",
      "body": "string",
      "nextStepDueAt": "string"
    }
  ]
}

Was this page helpful?